import jingrow


def execute():
	email_unsubscribe = [
		{"email": "admin@example.com", "global_unsubscribe": 1},
		{"email": "guest@example.com", "global_unsubscribe": 1},
	]

	for unsubscribe in email_unsubscribe:
		if not jingrow.get_all("Email Unsubscribe", filters=unsubscribe):
			pg = jingrow.new_pg("Email Unsubscribe")
			pg.update(unsubscribe)
			pg.insert(ignore_permissions=True)
